Bug 626783 - (CVE-2010-2948) CVE-2010-2948 Quagga (bgpd): Stack buffer overflow by processing certain Route-Refresh messages
CVE-2010-2948 Quagga (bgpd): Stack buffer overflow by processing certain Rout...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100819,reported=20100823,sou...
: Security
Depends On: 628981 638624 638626 638627 638628 644830 644832 833977
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 08:11 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-24 08:11:03 EDT
A stack buffer overflow flaw was found in the way Quagga's bgpd daemon
processed Route-Refresh messages. A configured Border Gateway Protocol
(BGP) peer could send a Route-Refresh message with specially-crafted
Outbound Route Filtering (ORF) record, which would cause the master BGP
daemon (bgpd) to crash or, possibly, execute arbitrary code with the
privileges of the user running bgpd.

Upstream changeset:
  [1] http://code.quagga.net/?p=quagga.git;a=commit;h=d64379e8f3c0636df53ed08d5b2f1946cfedd0e3

References:
  [2] http://www.quagga.net/news2.php?y=2010&m=8&d=19#id1282241100

CVE request:
  [3] http://www.openwall.com/lists/oss-security/2010/08/24/3
Comment 4 Jan Lieskovsky 2010-08-24 08:20:15 EDT
This issue affects the versions of the quagga package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue affects the versions of the quagga package, as shipped
with Fedora release of 12 and 13.
Comment 7 Jan Lieskovsky 2010-08-31 11:09:27 EDT
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 628981]
Comment 16 Jan Lieskovsky 2010-09-24 12:37:05 EDT
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 3
due to this product being in Production 3 of its maintenance
life-cycle, where only qualified security errata of important and
critical impact are addressed.

For further information about the Errata Support Policy, visit:
http://www.redhat.com/security/updates/errata

A future update in Red Hat Enterprise Linux 4 and
Red Hat Enterprise Linux 5 may address this flaw.
Comment 19 errata-xmlrpc 2010-10-20 12:24:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0785 https://rhn.redhat.com/errata/RHSA-2010-0785.html
Comment 23 errata-xmlrpc 2010-12-06 14:21:28 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0945 https://rhn.redhat.com/errata/RHSA-2010-0945.html

Note You need to log in before you can comment on or make changes to this bug.